<template> 
    <el-row :gutter="10">
        <el-col :span="8">
            <el-collapse v-model="activeNames">
                <el-collapse-item title="仓库一层" name="1">
                    <el-card class="box-card" shadow="hover">
                        <el-text style="margin-right: 15px;">托盘输送</el-text>
                        <el-button @click="write('OnePalletStart','1')">启动</el-button>
                        <el-button @click="write('OnePalletStop','1')">停止</el-button>
                    </el-card>
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">拆跺机器人1</el-text>
                        <el-button @click="write('OneChaiStart','1')">启动</el-button>
                        <el-button @click="write('OneChaiStop','1')">停止</el-button>
                    </el-card> 
                    
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">拆跺机器人2</el-text>
                        <el-button @click="write('OneChaiTwoStart','1')">启动</el-button>
                        <el-button @click="write('OneChaiTwoStop','1')">停止</el-button>
                    </el-card> 
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">件箱输送</el-text>
                        <el-button @click="write('OneBoxStart','1')">启动</el-button>
                        <el-button @click="write('OneBoxStop','1')">停止</el-button>
                    </el-card> 
                </el-collapse-item>
            </el-collapse> 
		</el-col>
        
        <el-col :span="8">
            <el-collapse v-model="activeNames2">
                <el-collapse-item title="仓库二层" name="2">
                    <el-card class="box-card" shadow="hover">
                        <el-text style="margin-right: 15px;">托盘输送</el-text>
                        <el-button  @mousedown="writeDown('TwoPalletStart','2')"  @mouseup="writeUp('TwoPalletStart','2')">启动</el-button>
                        <el-button  @mousedown="writeDown('TwoPalletStop','2')"  @mouseup="writeUp('TwoPalletStop','2')">停止</el-button>
                    </el-card>
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">码跺机器人1</el-text>
                        <el-button @mousedown="writeDown('TwoMaStart','2')"  @mouseup="writeUp('TwoMaStart','2')">启动</el-button>
                        <el-button @mousedown="writeDown('TwoMaStop','2')"  @mouseup="writeUp('TwoMaStop','2')">停止</el-button>
                    </el-card> 
                    
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">码跺机器人2</el-text>
                        <el-button @mousedown="writeDown('TwoMaTwoStart','2')"  @mouseup="writeUp('TwoMaTwoStart','2')">启动</el-button>
                        <el-button @mousedown="writeDown('TwoMaTwoStop','2')"  @mouseup="writeUp('TwoMaTwoStop','2')">停止</el-button>
                    </el-card> 
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">件箱输送</el-text>
                        <el-button @mousedown="writeDown('TwoBoxStart','2')"  @mouseup="writeUp('TwoBoxStart','2')">启动</el-button>
                        <el-button @mousedown="writeDown('TwoBoxStop','2')"  @mouseup="writeUp('TwoBoxStop','2')">停止</el-button>
                    </el-card> 
                </el-collapse-item>
            </el-collapse>
        </el-col>

        <el-col :span="8">
            <el-collapse v-model="activeNames3">
                <el-collapse-item title="仓库三层" name="3">
                    <el-card class="box-card" shadow="hover" style="margin-top: 3px;">
                        <el-text style="margin-right: 15px;">托盘输送</el-text>
                        <el-button @click="write('ThreePalletStart','3')">启动</el-button>
                        <el-button @click="write('ThreePalletStop','3')">停止</el-button>
                    </el-card>
                </el-collapse-item>
            </el-collapse>
        </el-col>

    </el-row>
    
</template>

<script lang="ts" setup>


import { ref, reactive, onMounted } from 'vue';
import { listStatus, listPosition } from '/@/api/wcs/wcsPlc';
import { WriteStartStop } from '/@/api/wcs/wcsDevice';
import { ElMessage } from "element-plus";

const activeNames = ref(['1'])
const activeNames2 = ref(['2'])
const activeNames3= ref(['3'])

const state = ref<any>({});

const write = async (type: string,layer: string) => {
	 
	var data = {
        Type:type,
        Layer: layer
    };
	
	var res = await WriteStartStop(data);
	console.log(res.data.result);
	// ElMessage.success(res.data.result);
}
const writeDown = async (type: string,layer: string) => {
	
    var data={
        Type:type,
        Layer: layer,
        FuncName : "true"
    }
	var res = await WriteStartStop(data);
	console.log(type+"按下事件");
	
}
const writeUp = async (type: string,layer: string) => {
	
	var data={
        Type:type,
        Layer: layer,
        FuncName : "false"
    }
	var res = await WriteStartStop(data);
	console.log(type+"抬起事件");
	
}

</script>

<style scoped>

.layout-parent > div:first-child{
    flex-direction:row;
}

</style>

